org.eclipse.gef4.zest.core.viewers

## Interface IFigureProvider

    public interface IFigureProvider

Allows a user to create a figure for an element in graph model. To use this interface, it should be implemented and passed to `GraphViewer#setLabelProvider()`

### Method Summary

Methods
`org.eclipse.draw2d.IFigure` `getFigure(java.lang.Object element)` Creates a custom figure for a graph model element

### Method Detail

#### getFigure

    org.eclipse.draw2d.IFigure getFigure(java.lang.Object element)

Creates a custom figure for a graph model element